@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700&display=swap');

:root{
    --orange:#FF9814;
    --black:#222;
    --white: #fff;
    --gray: #333;
    --l-gray: #444;
    --light-color:#666;
    --light-bg: #eee;
    --border:.1rem solid rgba(0,0,0,.1);
    --box-shadow:0 .5rem 1rem rgba(0,0,0,.1);
}

*{
    font-family: 'Poppins', sans-serif;
    margin:0; padding:0;
    box-sizing: border-box;
    outline: none; border:none;
    text-decoration: none;
    text-transform: none;
    transition: all .2s linear;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-padding-top: 7rem;
    scroll-behavior: smooth;
}

section{
    padding:2rem 9%;
}

html::-webkit-scrollbar{
    width:1rem;
}

html::-webkit-scrollbar-track{
    background: var(--white);
}

html::-webkit-scrollbar-thumb{
    background: var(--orange);
    border-radius: 5rem;
}

/* Világos/sötét */
body {
    background: var(--white);
  }

    
  body.active {
    --black:#eee;
    --white: #111;
    --gray: #aaa;
    --l-gray: #666;
    --light-color:#aaa;
    --light-bg: #222;
    --border:.1rem solid #aaa;
    
    --box-shadow:0 .5rem 1rem rgba(0,0,0,.7);
  }
  /* Vége */

.heading{
    text-align: center;
    padding-bottom: 2rem;
    font-size: 5rem;
    color:var(--black);
}

.heading span{
    position: relative;
    z-index: 0;
}

.heading span::before{
    content: '';
    position: absolute;
    bottom: 1.2rem; left:0;
    height: 100%;
    width:100%;
    background: var(--orange);
    clip-path: polygon(0 90%, 100% 83%, 100% 100%, 0% 100%);
    z-index: -1;
}

.btn{
    margin-top: 1rem;
    display: inline-block;
    padding:.9rem 3rem;
    font-size: 1.7rem;
    cursor: pointer;
    color: #222;
    background: var(--orange);
    border-radius: .5rem;
}

.btn:hover{
    background: #fbb151;
}

.header{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding:2rem 9%;
    background: #222;
    position: fixed;
    top:0; left:0; right:0;
    z-index: 1000;
}

.header .logo{
    text-transform: uppercase;
    font-size: 2.5rem;
    color:#fff;
    font-weight: bolder;
}

.header .logo:hover{
    color: var(--orange);
}

.header .logo img{
    height: 3.5rem;
}

.header .navbar a{
    margin-left: 2rem;
    font-size: 1.7rem;
    color:#fff;
}

.header .navbar a:hover{
    color:var(--orange);
}

#menu-bars{
    cursor: pointer;
    color:#fff;
    font-size: 3rem;
    margin-right: 1.5rem;    
    display: none;
}

#menu-bars:hover{
    color: var(--orange);
}

#theme-btn{
    cursor: pointer;
    color:#fff;
    font-size: 3rem;
    margin-left: .5rem;
}

#theme-btn:hover{
    color: var(--orange);
}

.home{
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    background:url(../images/home-bg.jpg) no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    flex-wrap: wrap;
}

.home .image{
    flex:1 1 40rem;
}

.home .image img{
    width:80%;
}

.home .content{
    flex:1 1 40rem;
}

.home .content h1{
    font-size: 4rem;
    color: var(--gray);
}

.home .content p{
    font-size: 1.8rem;
    color: var(--light-color);
    padding:1rem 0;
}
.service{
    min-height: 100vh;
    background: var(--light-bg);
}

.service .box-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding:2rem 0;
}

.service .box-container .box{
    background: var(--white);
    margin:2rem;
    padding:1rem;
    width:30rem;
    text-align: center;
    box-shadow: 0 0 .3rem rgba(0,0,0,.3);
}

.service .box-container .box i{
    font-size: 4rem;
    padding:1rem;
    color:var(--orange);
}

.service .box-container .box h3{
    font-size: 2.5rem;
    color: var(--l-gray);
}

.service .box-container .box p{
    font-size: 1.3rem;
    color: var(--light-color);
    padding:1rem;
}

.about{
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
    padding-bottom: 2rem;
}

.about .image{
    flex:1 1 40rem;
}

.about .image img{
    width:80%;
}

.about .content{
    flex:1 1 40rem;
}

.about .content h1{
    font-size: 4rem;
    color: var(--l-gray);
}

.about .content p{
    font-size: 1.6rem;
    color: var(--light-color);
    padding:1rem 0;
}
.plan{
    min-height: 100vh;
    background: var(--light-bg);
}

.plan .box-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding:2rem 0;
}

.plan .box-container .box{
    background: var(--white);
    margin:1rem;
    padding:2rem;
    width:35rem;
    text-align: center;
    box-shadow: 0 0 .3rem rgba(0,0,0,.3);
    position: relative;
}

.plan .box-container .box .title{
    font-size: 3rem;
    color: var(--light-color);
    padding:1rem 0;
}

.plan .box-container .box .price{
    background:var(--orange);
    color: var(--white);
    border-radius: 50%;
    margin:1rem auto;
    height:13rem;
    width:13rem;
    line-height: 13rem;
    text-align: center;
    font-size: 1.2rem;
}

.plan .box-container .box .price span{
    font-size: 2rem;
}

.plan .box-container .box ul li{
    color: var(--light-color);
    list-style: none;
    font-size: 1.7rem;
    padding:1rem 0;
}
.contact{
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
}

.contact form{
    flex:1 1 40rem;
    padding:2rem;
    margin:1rem;
    margin-top: 4rem;
    box-shadow: 0 0 .5rem rgba(0,0,0,.3);
}

.contact .content{
    flex:1 1 40rem;
    padding:3rem 1rem;
}

.contact form .box{
    width:100%;
    color: var(--gray);
    height:4rem;
    font-size: 1.7rem;
    border-bottom: .2rem solid rgba(0,0,0,.3);
    text-transform: none;
    margin:1rem 0;
}

.contact form .box::placeholder{
    text-transform: none;
}

.contact form .box:focus{
    border-color: var(--orange);
}

.contact form .message{
    height:15rem;
    resize: none;
}

.contact .content h3{
    font-size: 2.5rem;
    color: var(--l-gray);
}

.contact .content p{
    font-size: 1.8rem;
    color: var(--light-color);
    padding:1rem 0;
}

.contact .content .icons{
    font-size: 1.7rem;
    color: var(--gray);
    padding:.7rem 0;
}

.contact .content .icons i{
    padding-right: .5rem;
    color:var(--orange);
}

.footer{
    background:#222;
}

.footer .box-container{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.footer .box-container .box{
    margin:2rem;
    flex:1 1 30rem;
}

.footer .box-container .box h3{
    font-size: 2.5rem;
    color:#fff;
}

.footer .box-container .box p{
    font-size: 1.4rem;
    color: #eee;
    padding:1rem 0;
}

.footer .box-container .box a{
    font-size: 1.8rem;
    color: #eee;
    padding:.4rem 0;
    display: block;
}

.footer .box-container .box a:hover{
    text-decoration: underline;
}

.footer .box-container .box:nth-child(2){
    text-align: center;
}

.footer .box-container form{
    display: flex;
    align-items: center;
}

.footer .box-container form input[type="email"]{
    height:4.1rem;
    width:100%;
    font-size: 1.7rem;
    padding:0 1rem;
}

.footer .box-container form .btn{
    margin-top: 0;
}

.footer .box-container form .btn:hover{
    color:#333;
    background:#ccc;
}

.footer .credit{
    font-size: 2rem;
    background:#111;
    text-align: center;
    color:#fff;
    padding:2rem 1rem;
    font-weight: normal;
}

.footer .credit a{
    color:var(--orange);
}









/* media queries  */
@media (max-width:991px){

    html{
        font-size: 55%;
    }

    .header{
        padding:2rem;
    }

    section{
        padding:2rem;
    }

}

@media (max-width:768px){

    #menu-bars{
        display: inline-block;
    }

    #menu-bars .fa-times{
        transform: rotate(180deg);
    }

    .header .navbar{
        position: absolute;
        top:99%; left:0; right:0;
        background: #222;
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    }

    .header .navbar.active{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
    }

    .header .navbar a{
        font-size: 2rem;
        margin:2.5rem 2rem;
        display: block;
    }

}

@media (max-width:450px){

    html{
        font-size: 50%;
    }

}